%global momorel 1

Summary: Plain Text Converter
Name: plain2
Version: 2.54
Release: %{momorel}m
License: see "doc/plain2.pln"
Group: Applications/Text
Source0: ftp://ftp.nec.co.jp/pub/packages/plain2/plain2-%{version}.tar.gz
Source1: ftp://ftp.ics.nara-wu.ac.jp/pub/nide/misc/plain2-2.54.nide-patch.tgz
Patch0: ftp://ftp.gihyo.co.jp/pub/Plamo-src/Plamo/contrib/plain2-2.54_html.patch.gz
Patch1: plain2-config.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
A tool to convert file of plane text format into various format.
Supporting output formats are following.
  LaTeX
  troff (mm, ms macro)
  HTML
In addition, there is facility to renumbering.

# --------------------------------------------------------------------------
%prep
rm -fr %{buildroot}
%setup -q -a 1

%patch0 -p1
patch -p1 < plain2-2.54.nide-patch-B
%patch1 -p1

# --------------------------------------------------------------------------
%build
cd src
make PREFIX=%{buildroot}/usr

# --------------------------------------------------------------------------
%install
rm -fr %{buildroot}
cd src
mkdir -p %{buildroot}/usr/{bin,lib/plain2}
make PREFIX=%{buildroot}/usr install

# --------------------------------------------------------------------------
%clean
rm -fr %{buildroot}

# --------------------------------------------------------------------------
%files
%defattr(-   ,root,root)
%doc doc src/CHANGES
%doc src/README.HTML src/README.HTML.JPN
%doc 00Readme.doc
/usr/bin/plain2
%dir /usr/lib/plain2
/usr/lib/plain2/OHP.p2
/usr/lib/plain2/OHP_t.p2
/usr/lib/plain2/header.p2
/usr/lib/plain2/header_t.p2
/usr/lib/plain2/jbook.p2
/usr/lib/plain2/supsnum.p2

# --------------------------------------------------------------------------
%changelog
* Wed Nov  5 2003 zunda <zunda at freeshell.org>
- (2.54-1m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)
- SRPM only because we can not redistribute patched versions

* Mon Feb 18 2002 Tsutomu Yasuda <tom@kondara.org>
- (2.54-6k)
- NoSource statement was removed.

* Tue Nov 13 2001 Shingo Akagaki <dora@kondara.org>
- nigittenu

* Mon Feb 14 2000 HIROSE, Masaaki <hirose31@t3.rim.or.jp>
- initial release
